Inhalte

# Vergleichsoperatoren

Vergleichsoperatoren vergleichen zwei Ausdrücke. Das Ergebnis wird als boolescher Ausdruck zurückgegeben, der bestimmt, ob der Vergleich True (-1) oder False (0) ist.

### Syntax:

      result = expression1 { = | < | > | <= | >= } expression2

### Parameter:

result: Boolescher Wert, der das Ergebnis des Vergleichs festlegt (True oder False)

expression1, expression2: Beliebige numerische Werte oder Zeichenfolgen, die Sie vergleichen möchten.

## Vergleichsoperatoren

= : gleich

< : kleiner als

> : größer als

<= : kleiner gleich

>= : größer gleich

<> : ungleich

### Beispiel:

    Sub ExampleUnequal
    Dim sFile As String
    Dim sRoot As String ' Verzeichnis ab dem alle Dateien und Verzeichnisse ausgegeben werden
        sRoot = "c:\"
        sFile = Dir$( sRoot ,22)
        If sFile <> "" Then
            Do
                MsgBox sFile
                sFile = Dir$
            Loop Until sFile = ""
        End If
    End Sub

Verwandte Themen

Mathematische Operatoren

Logische Operatoren